Bug 40370 - App Center marks App as installed/updated even if dpkg errors occured
App Center marks App as installed/updated even if dpkg errors occured
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Nagios
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.2-2-errata
Assigned To: Dirk Wiesenthal
Eduard Mai
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-05 21:52 CET by Michael Grandjean
Modified: 2017-10-10 15:38 CEST (History)
2 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 6: Setup Problem: Issue for the setup process
Who will be affected by this bug?: 1: Will affect a very few installed domains
How will those affected feel about the bug?: 3: A User would likely not purchase the product
User Pain: 0.103
Enterprise Customer affected?: Yes
School Customer affected?: Yes
ISV affected?:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Grandjean univentionstaff 2016-01-05 21:52:17 CET
A customer updated UCS@school today (to UCS@school 4.0 R2 v4) on a school slave (Multi-Server Environment) using the App Center on the UCS Master.

During the Update a dpkg error occured:

> 05.01.16 16:17:26.334  MODULE      ( PROCESS ) : Fehler traten auf beim Bearbeiten von:
> 05.01.16 16:17:26.334  MODULE      ( PROCESS ) : /var/cache/apt/archives/ucs-school-webproxy_11.0.8-3.101.201511301214_all.deb
> 05.01.16 16:17:26.345  MODULE      ( PROCESS ) : Error in function:
> 05.01.16 16:17:26.345  MODULE      ( PROCESS ) : SystemError: E:Sub-process /usr/bin/dpkg returned an error code (1)

This left some packages unconfigured and one not updated - the UCS@school installation was broken.

Nevertheless, the App Center marks the App as installed / updated (the "Upgrade" button is gone). There should be a clear indication if the previous update attempt was succesful or not.

Related:

> 05.01.16 16:17:27.174  MODULE      ( PROCESS ) : Adding ucs-abcde.school.example.org to univentionAppID=ucsschool_4.0 R2 v4,cn=ucsschool,cn=apps,cn=univention,dc=school,dc=example,dc=org
> 05.01.16 16:17:27.382  MODULE      ( PROCESS ) : Removing ucs-abcde.school.example.org from univentionAppID=ucsschool_4.0 R2 v2,cn=ucsschool,cn=apps,cn=univention,dc=school,dc=example,dc=org
Comment 1 Dirk Wiesenthal univentionstaff 2017-04-05 14:33:59 CEST
Most probably still happens. The issue here is that the App installation status is computed based on the package installation status.

And the packages were half configured. This is enough for the App Center.
Comment 2 Florian Best univentionstaff 2017-06-28 14:52:23 CEST
There is a Customer ID set so I set the flag "Enterprise Customer affected".
Comment 3 Dirk Wiesenthal univentionstaff 2017-09-13 15:51:56 CEST
As discussed, it may be more generic to check the package status by a monitoring tool.

We need to add a dpkg status check to univention-nagios. This way, the Administrator does not immediately see it in the App Center, but eventually should get a notification.
Comment 4 Dirk Wiesenthal univentionstaff 2017-09-21 00:36:30 CEST
Fixed in
  univention-nagios 10.1.1-1A~4.2.0.201709210027
Comment 5 Eduard Mai univentionstaff 2017-10-02 15:29:57 CEST
As discussed with Felix and Stefan:

Please register the host with the new nagios service via 30univention-nagios-client.inst so the check is executed without manual configuration. This is sufficient for new installations. The advisory should inform that forced execution of 30univention-nagios-client.inst or manual adjustments are needed so that existing installs are registered with the new service.
Comment 6 Dirk Wiesenthal univentionstaff 2017-10-02 17:05:19 CEST
OK, I hope I got this right...
  univention-nagios 10.1.1-5A~4.2.0.201710021704
Comment 7 Dirk Wiesenthal univentionstaff 2017-10-02 17:21:42 CEST
Hmmmm...
  univention-nagios 10.1.1-6A~4.2.0.201710021715
Comment 8 Eduard Mai univentionstaff 2017-10-04 16:52:21 CEST
Advisory - OK
Code and functionality - OK
Comment 9 Arvid Requate univentionstaff 2017-10-10 15:38:44 CEST
<http://errata.software-univention.de/ucs/4.2/193.html>